﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

namespace TayVista.BusinessLogic
{
    public class Products
    {
        public static DataTable GetProducts(int pageNumber, int pageSize)
        {
            // Create a basic DataTable and append some data to it
            using (DataTable dt = new DataTable())
            {
                DataColumn col1 = new DataColumn("Column1");
                DataColumn col2 = new DataColumn("Column2");

                dt.Columns.Add(col1);
                dt.Columns.Add(col2);
                int rowNumber = ((pageNumber - 1) * pageSize) + 1;

                for (int i = 1; i <= pageSize; i++)
                {                    
                    DataRow row = dt.NewRow();                    
                    row["Column1"] = "Row " + rowNumber.ToString() + " Column 1";
                    row["Column2"] = "Row " + rowNumber.ToString() + " Column 2";
                    dt.Rows.Add(row);
                    rowNumber += 1;                   
                }

                return dt;
            }            
        }
    }
}
