﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="InfiniteScroll.Default" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script type="text/javascript">
        var pageNumber = 1;

        $(document).ready(function () {
            $(window).scroll(function () {
                // Get the current vertical position of the scrollbar.  If it's equal to the height of the document minus the 
                // window height then go get some more data
                if ($(window).scrollTop() == $(document).height() - $(window).height()) {
                    // Increment page number and set up the parameters
                    pageNumber += 1;
                    var params = "{'pageNumber': " + pageNumber + "}";

                    // Async post back to the BindDataAsync code behind web method
                    $.ajax({
                        type: "POST",
                        url: "Default.aspx/BindDataAsync",
                        data: params,
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (data) {
                            if (data != "") {
                                // Take the results from the web service method and append them to the table
                                $('#ProductsTable').append(data.d);
                            }
                        }
                    });
                }
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <table id="ProductsTable">
                <thead>
                    <tr>
                        <th>Column 1</th>
                        <th>Column 2</th>
                    </tr>
                </thead>
                <tbody>
                    <asp:Repeater ID="InfiniteScrollRepeater" runat="server" EnableViewState="false">
                        <ItemTemplate>
                            <tr>
                                <td><%#Eval("Column1") %></td>
                                <td><%#Eval("Column2") %></td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </tbody>
            </table>
        </div>
    </form>
</body>
</html>
